corda / net.corda.node.services.api / ServiceHubInternal / invokeFlowAsync

# invokeFlowAsync

`open fun <T : Any> invokeFlowAsync(logicType: Class<out FlowLogic<T>>, vararg args: Any?): FlowStateMachine<T>`

Overrides ServiceHub.invokeFlowAsync

Will check logicType and args against a whitelist and if acceptable then construct and initiate the flow. Note that you must be on the server thread to call this method.

### Exceptions

`IllegalFlowLogicException` - or IllegalArgumentException if there are problems with the logicType or args.